### Method

# Gtk FontDialog choose_font_finish

since: 4.10

#### Declaration [src]

    PangoFontDescription*
    gtk_font_dialog_choose_font_finish (
      GtkFontDialog* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes the `gtk_font_dialog_choose_font()` call.

Note that this function returns a `GTK_DIALOG_ERROR_DISMISSED` error if the user cancels the dialog.

Available since: 4.10

#### Parameters

`result`

  Type: `GAsyncResult`

  The result.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `PangoFontDescription`

A `PangoFontDescription` describing the selected font.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.